org.apache.solr.client.solrj.io.stream

## Class StreamContext

- java.lang.Object
- - org.apache.solr.client.solrj.io.stream.StreamContext

All Implemented Interfaces:
  Serializable

    public class StreamContext
    extends Object
    implements Serializable

The StreamContext is passed to TupleStreams using the TupleStream.setStreamContext() method. The StreamContext is used to pass shared context to concentrically wrapped TupleStreams. Note: The StreamContext contains the SolrClientCache which is used to cache SolrClients for reuse across multiple TupleStreams.

See Also:
  Serialized Form

### Field Summary

Fields
`int` `numWorkers`
`int` `workerID`

### Constructor Summary

Constructors
Constructor and Description
`StreamContext()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `get(Object key)`
`Map` `getEntries()`
`SolrClientCache` `getSolrClientCache()`
`StreamFactory` `getStreamFactory()`
`void` `put(Object key, Object value)`
`void` `setSolrClientCache(SolrClientCache clientCache)`
`void` `setStreamFactory(StreamFactory streamFactory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### workerID

    public int workerID

#### numWorkers

    public int numWorkers

### Constructor Detail

#### StreamContext

    public StreamContext()

### Method Detail

#### get

    public Object get(Object key)

#### put

    public void put(Object key,
                    Object value)

#### getEntries

    public Map getEntries()

#### setSolrClientCache

    public void setSolrClientCache(SolrClientCache clientCache)

#### getSolrClientCache

    public SolrClientCache getSolrClientCache()

#### setStreamFactory

    public void setStreamFactory(StreamFactory streamFactory)

#### getStreamFactory

    public StreamFactory getStreamFactory()